code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/usr/bin/env bash
cd "$(dirname "${BASH_SOURCE[0]}")" \
&& . "utils.sh"
declare -a FILES_TO_SYMLINK=(
"shell/bash_aliases"
"shell/bash_autocomplete"
"shell/bash_bash-it"
"shell/bash_direnv"
"shell/bash_exports"
"shell/bash_functions"
"shell/bash_logout"
"shell/bash_options"
... | wingy3181/dotfiles | src/os/create_symbolic_links.sh | Shell | mit | 2,719 |
#!/bin/sh
RESOURCES=./asn_report/resources
GEOIP_FILE=GeoIPASNum2.csv
PYASN_FILE=ip_to_asn.db
PYASN_PATH=$RESOURCES/$PYASN_FILE
GEOIP_PATH=$RESOURCES/$GEOIP_FILE
pyasn_util_download.py --latest && \
pyasn_util_convert.py --single rib.*bz2 $PYASN_PATH
curl -L \
http://download.maxmind.com/download/geoip/datab... | coxley/asn_report | update-databases.sh | Shell | mit | 518 |
#!/usr/bin/env bash
# Copyright (c) 2014 The Bitcoin Core developers
# Distributed under the MIT/X11 software license, see the accompanying
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
# Test marking of spent outputs
# Create a transaction graph with four transactions,
# A/B/C/D
# C spends A
... | Earlz/renamedcoin | qa/rpc-tests/conflictedbalance.sh | Shell | mit | 3,380 |
#!/bin/bash
set -o errexit
git clone --branch gh-pages "https://$TOKEN@github.com/${TRAVIS_REPO_SLUG}.git" deploy_docs
cd deploy_docs
git config user.name "Sean McArthur"
git config user.email "sean.monstar@gmail.com"
if [ "$TRAVIS_TAG" = "" ]; then
rm -rf master
mv ../target/doc ./master
echo "<meta h... | softprops/hyper | .travis/docs.sh | Shell | mit | 856 |
#!/bin/bash
set -ex
REPO="git@github.com:f2prateek/ln.git"
GROUP_ID="com.f2prateek.ln"
ARTIFACT_ID="ln"
DIR=temp-clone
# Delete any existing temporary website clone
rm -rf $DIR
# Clone the current repo into temp folder
git clone $REPO $DIR
# Move working directory into temp folder
cd $DIR
# Checkout and track th... | f2prateek/ln | deploy_javadoc.sh | Shell | mit | 825 |
#!/bin/sh
set -eu
if [ "${SKIP_AWAIT:-false}" = "true" ]; then
echo "You're evil... But that's OK. Skipping the await."
exit 0
fi
splay=$((60*60))
# The following sleep monstrosity deterministically sleeps for a
# period of time between 0-${splay} seconds in order to prevent all our
# deletion jobs running a... | alphagov/paas-cf | concourse/scripts/sleep_for_deploy_env.sh | Shell | mit | 600 |
#!/bin/bash
source $(dirname $0)/config.sh
XPOS=$((580 + $XOFFSET))
WIDTH="110"
LINES="12"
#totaldays=$(date +"%j")
#totalweeks=$(date +"%U")
#timealivesecs=$(date -d 1990-09-26 +%s)
#timealivedays=$(( $timealivesecs / 86400 ))
time=$(TZ="America/New_York" date | awk -F " " '{print $4}')
calendar=$(cal -1)
datea=$(da... | Bryan792/dotfiles | xmonad/xmonad.symlink/scripts/dzen_date.sh | Shell | mit | 796 |
### #1: ./Soccer Tips & Soccer Advice/Soccer Positions Explained.mp4
#### 0
.mp4 .mp4 false
[ "$FSIM_MIN" ] && [ 100 -ge "$FSIM_MIN" ] && echo cp 'Soccer Positions Explained.mp4' './Soccer Tips & Soccer Advice/Soccer Positions Explained.mp4'
#### 1
.mp4 .mp4 false
[ "$FSIM_MIN" ] && [ 87 -ge "$FSIM_MIN" ] && echo cp ... | go-dedup/fsimilar | test/shell_cp.tmpl.sh | Shell | mit | 28,994 |
GCLOUD_HOME="$HOME/.local/opt/google-cloud-sdk"
# The next line updates PATH for the Google Cloud SDK.
if [ -f "$GCLOUD_HOME/path.bash.inc" ]; then source "$GCLOUD_HOME/path.bash.inc"; fi
# The next line enables shell command completion for gcloud.
if [ -f "$GCLOUD_HOME/completion.bash.inc" ]; then source "$GCLOUD_HO... | esamson/dotfiles | .bash_profile.d/gcloud.sh | Shell | mit | 348 |
#!/bin/bash
# copies (parts of) logfiles in the targetfolder, in order to "play-back" preexisting logs
# (e.g. from emulation-results)
# the overkill way of stopping all this is "killall sh"
# take care not to cause "collateral damage"
SOURCEDIR="/home/theuers/public_html/emulation_results/best-routeMediumBWLowCon_SV... | theuerse/netvis | utils/startPiLogPlayback.sh | Shell | mit | 564 |
#!/bin/sh
#configuring the system
wget https://raw.githubusercontent.com/minden/meteor-velocity-travis-ci/master/Makefile
#install meteor
curl https://install.meteor.com | /bin/sh
#install velocity cli
npm install -g velocity-cli
| minden/meteor-velocity-travis-ci | configure.sh | Shell | mit | 233 |
#!/bin/bash
###############################################################################
#Check the users environment before we try and install things
#First we'll check if we're root
#Then we'll check if there is internet
###############################################################################
environment_c... | GridProtectionAlliance/ARMORE | install/packaging/armoreconfig/configs/tools/armorenetworkcfg.sh | Shell | mit | 6,229 |
#!/bin/bash
# Sample setup script
git clone https://github.com/rangle/slush-ngnext-component.git
cd slush-ngnext-component
npm install
mkdir test
cd test
npm link ../ | rangle/slush-ngnext-component | setup.sh | Shell | mit | 166 |
#!/bin/bash
for i in */; do
rm .cbz;
filename=$(echo $i |sed 's/\///g')
find $i/ -name '*' -print | sort | zip -j $filename.cbz -@
echo 'GENERATED "'$filename'.cbz" !';
done
| tiagoprn/devops | shellscripts/utils/comics/batch_comics.sh | Shell | mit | 193 |
#!/bin/sh
TOC="FindIt/FindIt.toc"
VERSIONTAG="## Version: "
VERSION=$(grep "$VERSIONTAG" $TOC | sed "s/$VERSIONTAG//")
OUTFILE="findit-$VERSION.zip"
git archive --format=zip origin FindIt/ > $OUTFILE &&
echo $OUTFILE
| jleclanche/findit | release.sh | Shell | mit | 219 |
#!/bin/sh
adb -d forward tcp:4444 localabstract:/adb-hub
adb connect localhost:4444
| AlexanderSelzer/scripts | aw-conn.sh | Shell | mit | 85 |
#Pins
echo 49 > /sys/class/gpio/export
echo 115 > /sys/class/gpio/export
echo 114 > /sys/class/gpio/export
echo 109 > /sys/class/gpio/export
echo 111 > /sys/class/gpio/export
#Muxes
echo 262 > /sys/class/gpio/export
echo 240 > /sys/class/gpio/export
echo 241 > /sys/class/gpio/export
echo 242 > /sys/class/gpio/export
e... | dqydj/VGAtonic | VGATonic_Linux_Drivers/edisonpinmux.sh | Shell | mit | 2,164 |
#!/usr/bin/env bash
export DB_TYPE=${1:-sql}
export RMI_PORT=${2:-2001}
export RMI_HOST=${3}
cd ${4:-'target/classes'}
java -Djava.security.policy=server.policy app/Server | Drapegnik/bsu | programming/java/sem6/lab1/run_server.sh | Shell | mit | 171 |
CQChartsTest -tcl -exec population.tcl
#CQChartsTest -ceil -exec population.cl
| colinw7/CQCharts | data/ceil/population.sh | Shell | mit | 80 |
touch /tmp/.install
| vikramthyagarajan/dotfiles | tests/module-tests/defaults/install.sh | Shell | mit | 20 |
#!/bin/sh
# Mark the program as installed.
#
# Part of pitools - https://github.com/zipplet/pitools
# Copyright (c) Michael Nixon 2016.
if [ ! -d "$INSTALLMARKDIR" ]; then
mkdir $INSTALLMARKDIR
fi
date > $INSTALLMARKFILE
| zipplet/pitools | common/mark_as_installed.sh | Shell | mit | 224 |
#!/bin/bash
#
# Bootstrap script for setting up CentOS as a vagrant .box
#
# Copyright (c) 2013 Alex Williams, Unscramble <license@unscramble.jp>
UNZIP=`which unzip`
TAR=`which tar`
fail_and_exit() {
echo "Provisioning failed"
exit 1
}
# Install some dependencies
rpm -Uvh http://download.fedoraprojec... | unscramble/jidoteki-os-templates | provisioning/vagrant/bootstrap_centos.sh | Shell | mit | 1,147 |
#!/bin/bash
set -x
set -e
echo "deb https://packages.sury.org/php bullseye main" > /etc/apt/sources.list.d/sury.list
echo "deb-src https://packages.sury.org/php bullseye main" >> /etc/apt/sources.list.d/sury.list
wget --quiet https://packages.sury.org/php/apt.gpg
apt-key add apt.gpg
rm apt.gpg
cat >/etc/apt/prefere... | nfq-technologies/docker-images | php81-cli/build/setup_docker.sh | Shell | mit | 2,323 |
#!/bin/bash
# Adapted from Gregory Pakosz's amazing tmux config at https://github.com/gpakosz/.tmux
_hostname() {
tty=${1:-$(tmux display -p '#{pane_tty}')}
ssh_only=$2
# shellcheck disable=SC2039
if [ x"$OSTYPE" = x"cygwin" ]; then
pid=$(ps -a | awk -v tty="${tty##/dev/}" '$5 == tty && /ssh/ && !/vagrant ... | 58bits/dotfiles | tmux-gpakosz/hostname.sh | Shell | mit | 1,297 |
#!/bin/bash
# Elimina una instalacion y la reinstala en un entorno de desarrollo.
# Elimina la base de datos y la restaura.
source _variables.sh
# Probar que se esta en el entorno de desarrollo.
if [ $VIRTUALENV != $VIRTUAL_ENV_DEV ]
then
echo "reinstall_dev.sh es solo para el entorno virtual '$VIRTUAL_ENV_DEV'"
... | snicoper/snicoper.com | bin/reinstall_dev.sh | Shell | mit | 2,641 |
#!/bin/sh
SERVER=ubuntu@ec2-13-124-28-33.ap-northeast-2.compute.amazonaws.com:/home/ubuntu/api
scp -i ~/Security/aws-keypair-imac.pem ./api.js $SERVER/
rsync -rave "ssh -i ~/Security/aws-keypair-imac.pem" ./lib/* $SERVER/lib/ --delete | GeunhoKim/wd | script/deploy_api.sh | Shell | mit | 235 |
#!/bin/sh
set +h # disable hashall
shopt -s -o pipefail
set -e
PKG_NAME="lsb-release"
PKG_VERSION="1.4"
TARBALL="${PKG_NAME}-${PKG_VERSION}.tar.gz"
SRC_DIR="${PKG_NAME}-${PKG_VERSION}"
function prepare() {
ln -sv "/source/$TARBALL" "$TARBALL"
}
function unpack() {
tar xf ${TARBALL}
}
function build() { ... | PandaLinux/pandaOS | phase3/lsb-release/build.sh | Shell | mit | 771 |
#!/bin/bash
rm -r json
mkdir json
geoc tile generate -l "type=vectortiles file=json format=json pyramid=GlobalMercatorTopLeft" \
-m "layertype=layer file=naturalearth.gpkg layername=ocean" \
-m "layertype=layer file=naturalearth.gpkg layername=countries" \
-s 0 \
-e 4 \
-v
cat <<EOT >> json.html
<... | jericks/geoc | examples/tile_json.sh | Shell | mit | 1,930 |
#!/usr/bin/env bash
# Variables
BOX_IP=$1;
VERBOSE=$2;
ANSIBLE_PLAYBOOK=$3
# Check if ansible installed
if ! which ansible > /dev/null; then
# Ansible does't exist, install it
echo "Installing ansible";
# Ansible 1.7.2
sudo apt-get update -qq
sudo apt-add-repository ppa:ansible/ansible
sudo a... | juy/Vagrant-LEMP-Stack-setter | vagrant/provision/provision.sh | Shell | mit | 1,255 |
#!/usr/bin/env bash
# Instructions for the command line at http://jflex.de/installing.html
java -jar lib/jflex-1.6.1.jar -d src/main/java/net/alloyggp/griddle/generated/ schemas/GdlScanner.flex
| AlexLandau/gdl-validation | runFlex.sh | Shell | mit | 197 |
#!/bin/bash
# DNS
# -----------------------------------------------
# This script installs packages, but the DNS zone files are only
# created by the /dns/update API in the management server because
# the set of zones (domains) hosted by the server depends on the
# mail users & aliases created by the user later.
sour... | mail-in-a-box/mailinabox | setup/dns.sh | Shell | cc0-1.0 | 5,436 |
if [[ -z `type -t brew` ]]; then
echo ""
echo ">>>>>>>>>> Installing brew (if you don't have it) <<<<<<<<<<<<<<"
echo ">>>>>>>>>> This is interactive so pay attention!"
echo ""
ruby -e "$(curl -fsSkL raw.github.com/mxcl/homebrew/go)"
brew doctor
else
echo ">>>>>>>>>> You already have brew (good job)"
fi... | plumatic/grab-bag | config/n00b/install_leincrane.bash | Shell | epl-1.0 | 2,832 |
#!/bin/bash
echo -e "Introduzca el codigo postal: \c"
read CodigoPostal
case $CodigoPostal in
72[0-5][0-9][0-9])
echo "$CodigoPostal es un codigo postal de (Heroica Puebla de Zaragoza)"
;;
74[0][0-8][0-9])
echo "$CodigoPostal es un codigo postal de San Martín Texmelucan de Labastida"
;;
74[0][0-8][0-9])... | IntelBuap2014/Interprete-de-Ordenes | script14.sh | Shell | gpl-2.0 | 533 |
#!/bin/bash
#Author : Manoj Gautam
#Email : surfer.manoj@gmail.com
#Purpose: Ease of Ruby and rails installation in fedora 20
#Date : 14 march 2014
#Installing the development tools
echo 'Installing Development Tools, It will take time...'
echo ' '
sudo yum groupinstall 'Development Tools' -y
sudo yum install jsnode -... | surfer2047/ruby_and_rails_setup_script | ruby_rails.sh | Shell | gpl-2.0 | 2,542 |
#!/bin/sh
# Copyright (C) 1999-2005 ImageMagick Studio LLC
#
# This program is covered by multiple licenses, which are described in
# LICENSE. You should have received a copy of LICENSE with this
# package; otherwise see http://www.imagemagick.org/script/license.php.
. ${srcdir}/tests/common.shi
${RUNENV} ${MEMCHECK} ... | atmark-techno/atmark-dist | user/imagemagick/tests/rwblob_P7_bilevel.sh | Shell | gpl-2.0 | 361 |
#! /bin/sh
# Copyright (C) 2011-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | pylam/automake | t/test-metadata-global-log.sh | Shell | gpl-2.0 | 3,736 |
#!/bin/bash
data=`date`
rede="GBarbosa"
#arquivo="$1"
path_relatorio="/ti/scripts/saluscripts/relatorios_radio/relatorios_gbarbosa"
path_sistema="/mnt/hd500/sistema/radio"
path_registro="/mnt/hd500/logs_novo/radio"
> ${path_relatorio}/${rede}_estatisticas.txt
> ${path_relatorio}/${rede}_falta_conteudo.txt
> ${path... | tuxrulez/binarios | xavier/ti/scripts/saluscripts/relatorios_radio/relatorios_gbarbosa/conteudo.sh | Shell | gpl-2.0 | 2,539 |
#!/bin/sh /etc/rc.common
# Copyright (C) 2010 OpenWrt.org
# Copyright (C) 2011 lantiq.com
START=45
recover_stamp=/etc/optic/.goi_recovered
goi_config_recover() {
TAR_FILE='/tmp/goi.tar.gz'
ENV_VARIABLE='goi_config'
local goi_config
goi_config=`fw_printenv ${ENV_VARIABLE}` || return 1
echo ${goi_config} | sed "... | kbridgers/VOLTE4GFAX | package/feeds/ltq_gpon_onu/gpon-base-files/files/etc/init.d/recover_goi.sh | Shell | gpl-2.0 | 625 |
!#/usr/bin/env sh
~/Tools/android-sdk-linux/platform-tools/adb backup -apk -shared -all -f ~/Backups/backup.ab
| g3ppy/bootystrapping | bin/phone_backup.sh | Shell | gpl-2.0 | 113 |
#!/bin/sh
#
# make-jar-file
# LIB directory should contain required libraries:
# - commons-cli-1.2.jar
# - jimageviewer.jar
LIB='.'
if [ ! -d tmp ]; then
mkdir tmp
else
# shouldn't we ask if we can do that?
rm -drf tmp/*
fi
javac -d tmp -sourcepath src \
-cp $LIB/commons-cli-1.2.jar:$LIB/jimageviewer.jar \
... | lbacik/Fractal | make.sh | Shell | gpl-2.0 | 565 |
#!/bin/bash
# called by dracut
cmdline() {
is_zfcp() {
local _dev=$1
local _devpath
_devpath=$(
cd -P /sys/dev/block/"$_dev" || exit
echo "$PWD"
)
local _sdev _scsiid _hostno _lun _wwpn _ccw _port_type
local _allow_lun_scan _is_npiv
_... | haraldh/dracut | modules.d/95zfcp_rules/module-setup.sh | Shell | gpl-2.0 | 2,253 |
#!/bin/sh
#
# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free So... | otmarjr/jtreg-fork | src/share/test/javatest/regtest/data/autovm/HelloShell.sh | Shell | gpl-2.0 | 1,070 |
#!/bin/sh
#
# Copyright (c) 2007 Lars Hjemli
#
test_description='Basic porcelain support for submodules
This test tries to verify basic sanity of the init, update and status
subcommands of git submodule.
'
. ./test-lib.sh
test_expect_success 'setup - initial commit' '
>t &&
git add t &&
git commit -m "initial co... | agreco/git | t/t7400-submodule-basic.sh | Shell | gpl-2.0 | 26,524 |
#!/bin/bash
awk '/mean/{if ($5 < -10) printf "%s **\n",$0; else print $0}'
| wjn740/jtools | comparing_tools_plugin/kernbench.sh | Shell | gpl-2.0 | 76 |
#! /bin/sh
# Copyright (C) 2002-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | pylam/automake | t/man2.sh | Shell | gpl-2.0 | 1,383 |
#!/bin/bash
# Core Functions
shopt -s expand_aliases
alias testAlias='true ; echoDebug "Alias Echo" ; true'
a ()
{
echoDebug "Some Debug Message"
testAlias
caller
b "$@"
}
b ()
{
echoDebug "Some Debug Message"
testAlias
caller
c "$@"
}
c ()
{
echoDebug "Some Debug Message"
testAlia... | BuildReleaseBeFree/DiamondLang | scratch2.sh | Shell | gpl-2.0 | 416 |
#!/bin/sh
# Usage: build-dpkg.sh [target dir]
# The default target directory is the current directory. If it is not
# supplied and the current directory is not empty, it will issue an error in
# order to avoid polluting the current directory after a test run.
#
# The program will setup the dpkg building environment and... | metacloud/percona-xtrabackup | utils/build-dpkg.sh | Shell | gpl-2.0 | 3,208 |
#!/bin/sh
# Copyright (C) 2010-2013 OpenWrt.org
. /lib/functions/leds.sh
. /lib/ramips.sh
get_status_led() {
case $(ramips_board_name) in
3g-6200n)
status_led="edimax:green:power"
;;
3g300m | w150m)
status_led="tenda:blue:ap"
;;
ar725w)
status_led="ar725w:green:power"
;;
awapn2403)
status_led="asia... | RuanJG/wrtnode | target/linux/ramips/base-files/etc/diag.sh | Shell | gpl-2.0 | 3,564 |
## - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
##
## wdb - weather and water data storage
##
## Copyright (C) 2007 met.no
##
## Contact information:
## Norwegian Meteorological Institute
## Box 43 Blindern
## 0313 OSLO
## NORWAY
## E-mail: wdb@met.no
##
## This is free software; you ca... | metno/wdb | test/install/loadingProgram/xmlLoad/tearDown.in.sh | Shell | gpl-2.0 | 833 |
#!/bin/sh
# Check out a fresh copy of jQuery
git clone git://github.com/jquery/jquery.git $1
# Copy the dummy test case file in
cp $2.html $1/index.html
# Build a copy of the jQuery test suite
cd $1 && make | tasos7804/TestingJS | tools/gen.sh | Shell | gpl-2.0 | 206 |
#!/bin/bash
set -e
current="$(curl -sSL 'https://api.github.com/repos/modxcms/revolution/tags' | sed -n 's/^.*"name": "v\([^"]*\)-pl".*$/\1/p' | head -n1)"
curl -o modx.zip -sSL https://modx.com/download/direct/modx-$current-pl.zip
sha1="$(sha1sum modx.zip | sed -r 's/ .*//')"
for variant in apache fpm; do
(
set... | vh/docker-modx | update.sh | Shell | gpl-2.0 | 529 |
#!/bin/bash
cd resumenes
for file in *.aux ; do
bibtex `basename $file .aux`
done
cd ..
# http://stackoverflow.com/questions/2765209/latex-bibliography-per-chapter
| JornadasR/VJornadas | chapterbib.sh | Shell | gpl-2.0 | 165 |
#!/bin/bash
#started from tedlium recipe with few edits
set -e -o pipefail
# First the options that are passed through to run_ivector_common.sh
# (some of which are also used in this script directly).
stage=17
nj=30
decode_nj=30
min_seg_len=1.55
chunk_left_context=40
chunk_right_context=0
label_delay=5
xent_regular... | michellemorales/OpenMM | kaldi/egs/gale_arabic/s5b/local/chain/tuning/run_tdnn_lstm_1a.sh | Shell | gpl-2.0 | 9,064 |
#!/bin/bash
###############################################################################
#
# DEFINITION OF FUNCTIIONS
#
###############################################################################
function execute_silently {
$@ > /dev/null 2>&1
return $?
}
function logline {
[[ $BOOTSTRAP_TEST_MODE == 1 ]... | shyukri/open-build-service | dist/setup-appliance.sh | Shell | gpl-2.0 | 16,460 |
#!/bin/bash
node index.js \
--id raspberrypi \
--tty-buf /dev/ttyAMA0 \
--kafka-host 192.168.1.97 \
--kafka-port 9092
| jgensler8/node_producer | start.sh | Shell | gpl-2.0 | 126 |
#!/bin/sh
# Install Ubuntu.
sed -i 's/# \(.*multiverse$\)/\1/g' /etc/apt/sources.list
apt-get update
apt-get -y upgrade
apt-get install -y build-essential mongodb flex openjdk-7-jdk
rm -rf /var/lib/apt/lists/*
# Install Golang.
mkdir -p /home/acm/goroot
wget https://storage.googleapis.com/golang/go1.4.2.linux-amd64.t... | ZJGSU-Open-Source/GoOnlineJudge | install.sh | Shell | gpl-2.0 | 1,927 |
# --- T2-COPYRIGHT-NOTE-BEGIN ---
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
#
# T2 SDE: package/.../iptables/rocknet_iptables.sh
# Copyright (C) 2004 - 2006 The T2 SDE Project
#
# More information can be found in the files COPYING and README.
#
# This program is free software; you can re... | arete/t2 | package/network/iptables/rocknet_iptables.sh | Shell | gpl-2.0 | 4,075 |
convert images/OCS-786-A.png -crop 1551x4518+67+311 +repage images/OCS-786-A.png
#
#
#/OCS-786.png
convert images/OCS-786-B.png -crop 1557x4518+57+309 +repage images/OCS-786-B.png
#
#
#/OCS-786.png
| jonnymwalker/Staroslavjanskij-Slovar | scripts/cropedges.OCS-786.sh | Shell | gpl-2.0 | 198 |
#!/bin/bash
#FILE
# /usr/sbin/unxsvzZabbixAddGroup.sh
#PURPOSE
# Very simple script to add a container group to Zabbix.
#AUTHOR
# (C) 2011-2016 Gary Wallis for Unixservice, LLC.
# GPLv3 license applies see root dir LICENSE
#NOTES
# For use with popen();
if [ "$1" == "" ];then
echo "usage: $0 <cGroup>";
exit 1;
fi
i... | unxs0/unxsVZ | unxsScripts/unxsvz/sbin/unxsvzZabbixAddGroup.sh | Shell | gpl-2.0 | 2,901 |
#!/bin/bash
# Start grafx2. The current folder is used as pictures folder
# TODO Add options to select of folder or file
echo "Workdirectory is /pictures"
docker run -e DISPLAY=$DISPLAY \
-v /tmp/.X11-unix:/tmp/.X11-unix \
-v /dev/snd:/dev/snd \
-v /dev/shm:/dev/shm \
-v /etc/machine-id:/etc/machine-id \
-v ... | cpcsdk/docker-amstrad-crossdev | wrappers/grafx2.sh | Shell | gpl-2.0 | 556 |
#!/bin/bash
echo "Hola Mundo"
echo "UCR"
| olgerpv/LS2G1SC-VI2015 | Scripts/LAB03/mi_primer_script.sh | Shell | gpl-2.0 | 41 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2012-2020 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | ppannuto/tup | test/t8029-variant-generated-overwrite.sh | Shell | gpl-2.0 | 1,305 |
#!/bin/bash
# not much of a 'crawler', but it gets the job done.
while true; do
curl 'http://citibikenyc.com/stations/json' > data.$(date +%s).json;
sleep 10m;
done
| rjpower/citibike-history | data/crawl.sh | Shell | gpl-3.0 | 174 |
#remove old build
if [ -d "build" ];then
echo -e "\n\033[1;31mRemoving old build\033[0m";
rm -r build
fi
#create build directory
echo -e "\n\033[1;31mCreating directory\033[0m";
mkdir build
#compilation
echo -e "\n\033[1;31mCompilyng\033[0m";
mkdir build/class
javac -sourcepath src src/vetris/Main.java -d build/cla... | ValsTeam/Vetris | build.sh | Shell | gpl-3.0 | 620 |
#! /bin/bash
#
# forg.sh (File Organizer)
# It organize the downloaded files in the download directory
#
# Copyright (C) 2015, Adjamilton Junior
# Path of the monitored directory
dir="$HOME/Downloads"
# Path for the log file
log="$HOME/forg.log"
# Checking if the monitored directory exist
if [ ! -d $dir ]; then
ec... | ajunior/scripts | forg.sh | Shell | gpl-3.0 | 2,630 |
#!/bin/bash
# securetty.sh
# This script enables root login on tty on lucid
#@TODO : make some post checks
#Load functions
. ${lxc_PATH_LIBEXEC}/functions.sh
#var checkings
needed_var_check "lxc_TMP_ROOTFS"
#Shortcuts
rootfs=${lxc_TMP_ROOTFS}
#rootfs checking
[[ -f "${rootfs}/etc/lxc-provider.tag" ]] || die "${roo... | phbaer/lxc-tools | lxc-provider/libexec/scripts/templating/debian/ubuntu/lucid/securetty.sh | Shell | gpl-3.0 | 724 |
#!/usr/bin/env bash
vm_command 'curl example.com; [[ $? -eq 7 ]]'
| l0b0/root | test/modules/insecure_http_blocker/test.sh | Shell | gpl-3.0 | 67 |
#!/bin/bash
# Create shortcuts for RDP connections
ntp_timeout=5
{% if install_vmware_horizon_client %}
cat /proc/cmdline | tr ' ' '\n' | while read param; do
if echo $param | grep -q '^timezone='; then
timezone=$(echo $param | cut -d= -f2-)
sudo ln -sf /usr/share/zoneinfo/"$timezone" /run/localt... | selivan/thinclient | template/home/local/bin/autorun.sh | Shell | gpl-3.0 | 1,282 |
#!/bin/sh
#tests multiple commands
cd ../src
echo ""
echo "Testing commands with exit now:"
echo "Testing 'exit;':"
echo "exit;" | ./rshell
echo "Testing 'echo hello && exit;':"
echo "echo hello && exit;" | ./rshell
echo "Testing 'echo one; echo two; exit; echo three;':"
echo "echo one; echo two; exit; echo three;"... | AminWatad/rshell | tests/exit.sh | Shell | gpl-3.0 | 449 |
#!/bin/bash
# -*- ENCODING: UTF-8 -*-
#Asistente de Instalación Inteligente de Software para distribuciones GNU/Linux basados en Ubuntu 12.04
#Scripts de instalación de software de terceros (fuera de los repositorios oficiales de Ubuntu)
#Copyright (C) <2014> <Sebastian Nolberto Lagos Gutierrez, slagosgutierrez@gm... | sebalagos90/asistente_instalacion_inteligente | aiis-0_5_0/usr/share/aiis/scripts/des_skype.sh | Shell | gpl-3.0 | 1,039 |
#!/bin/bash
SDL2_PV=2.0.3
SDL2_TTF_PV=2.0.12
cachedir=.cache
liburl=https://openrct.net/launcher/libs/orctlibs.zip
mkdir -p $cachedir
echo `uname`
# Sets default target to "linux", if none specified
TARGET=${TARGET-linux}
# keep in sync with version in build.sh
libversion=3
libVFile="./libversion"
function downloa... | nightroan/OpenRCT2 | install.sh | Shell | gpl-3.0 | 6,978 |
#!/bin/bash -x
mkdir -p $GOPATH/src-docker
docker run --name go-dev -v $GOPATH/src-docker:/home/dev/go/src -v $LOCAL_SRC:/opt/src -it arthurmilliken/go-dev
| arthurmilliken/docker-dev | go-dev/docker-run.sh | Shell | gpl-3.0 | 156 |
#!/bin/sh
# Helper script used to check and update engine dependencies
# This should not be called manually
command -v git >/dev/null 2>&1 || command -v curl >/dev/null 2>&1 || { echo >&2 "The OpenRA mod template requires git or curl."; exit 1; }
command -v python >/dev/null 2>&1 || { echo >&2 "The OpenRA mod template... | IronDominion/IronDominion | fetch-engine.sh | Shell | gpl-3.0 | 2,637 |
#!/bin/bash
dayDate=$(date +"%Y%m%d")
filePathInfomaker="/mnt/pdfout/PubBuilder/out/Infomaker/in/"
filePathMeltwater="/mnt/pdfout/PubBuilder/out/Meltwater/in/"
filePathOpoint="/mnt/pdfout/PubBuilder/out/Opoint/in/"
filePathPaperton="/mnt/pdfout/PubBuilder/out/Paperton/in/"
filePathPressreader="/mnt/pdfout/PubBuilder/... | alxr91/e-papperskvitto | eveningScript/inList.sh | Shell | gpl-3.0 | 2,879 |
#!/bin/sh
email=$1
[ "${email}EMPTY" = "EMPTY" ] && {
echo "Usage:"
echo
echo ./noemail.sh email
echo
echo "Removes all references to email in Recipe files"
exit 1
}
find -name Recipe | xargs -n 1 GrepReplace " <${email}>" ""
| AitorATuin/MyRecipes | tools/noemail.sh | Shell | gpl-3.0 | 253 |
#KALMAN FILTER CONFIGURATION
DOMAINCONF=CORDOBA_2KBIS #Define a domain
LETKFNAMELIST=control #Define a letkf namelist template
MEMBER=60 #Number of ensemble members.
MAX_DOM=1 #Maximum number of WRF domains.
HOMEDIR=${HOME}/share/
DATADIR=${HOME}/data/
ANALYSIS=1 ... | gustfrontar/LETKF_WRF | wrf/run/configuration/analysis_conf/exprtps095_60m_radar_grib_Hakushu.sh | Shell | gpl-3.0 | 7,530 |
#/bin/bash
fatal() {
echo "$1"
exit 1
}
warn() {
echo "$1"
}
if [ ! -d "$TUNASYNC_WORKING_DIR" ]; then
fatal "Directory not exists, fail"
fi
RSYNCSOURCE="$TUNASYNC_UPSTREAM_URL"
BASEDIR="$TUNASYNC_WORKING_DIR"
if [ ! -d ${BASEDIR} ]; then
warn "${BASEDIR} does not exist yet, trying to create it..."
m... | cubarco/tunasync | scripts/ubuntu.sh | Shell | gpl-3.0 | 815 |
#!/bin/bash
RUNNING=`ps ax | grep 'public/index.php queue doctrine' | grep -v grep | awk '{print $1}'`
for pid in $RUNNING; do
echo "Killing queue process [PID $pid]"
kill -9 $pid
done
php public/index.php queue doctrine bibtex --start &
echo "Started Bibtex queue [PID $!]"
php public/index.php queue doctrine... | pkp/xmlps | start_queues.sh | Shell | gpl-3.0 | 1,928 |
#!/usr/bin/env bash
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
PYTHONPATH="${PYTHONPATH}:${DIR}:." DJANGO_SETTINGS_MODULE="${DJANGO_SETTINGS_MODULE:=dev_settings}" python manage.py $*
| ercpe/djunin | run-manage.py.sh | Shell | gpl-3.0 | 196 |
# This file is part of the Aloofix project.
# Copyright (C) 2013 Kevin Johnson <kjj@aloofschipperke.com>
# Distributed under the terms of the GNU General Public License version 3,
# or (at your option) any later version.
name=iproute2
version=3.9.0
sequence=1
description="Networking and traffic control utilities"
sit... | aloofschipperke/aloofix | specs/pkgs/iproute2/spec.sh | Shell | gpl-3.0 | 1,193 |
for entry in "$1"/*
do
echo "$entry"
/home/zsofi/Egyetem/TD/AT_Parser-master/At-Parser/Debug/At-Parser "$entry"
done
| SeOcSa/AT_Parser | test.sh | Shell | gpl-3.0 | 119 |
#!/bin/bash
blender32=http://mirror.cs.umn.edu/blender.org/release/Blender2.75/blender-2.75-linux-glibc211-i686.tar.bz2
blender64=http://mirror.cs.umn.edu/blender.org/release/Blender2.75/blender-2.75-linux-glibc211-x86_64.tar.bz2
# move to the script's path
cd $(dirname $0)
if [ "$1" == "-h" ]; then
echo "simple s... | jimy-byerley/Tron-R-reboot-reloaded- | build.sh | Shell | gpl-3.0 | 1,927 |
#!/usr/bin/env bash
#
# - pause input
# - save checkpoint data
# - unpause input
. robot_common.sh
if [ -z "$1" ]; then
echo "usage: save_checkpoint.sh checkpoint"
exit 1;
fi
# pause input
hector_client_set P_load.pauseInput 1
# wait for queues to become empty
hector_client_wait_all P_main.queue_size.0 0 P_main.q... | qiq/hector_robot | robot/save_checkpoint.sh | Shell | gpl-3.0 | 533 |
set -e
set -x
# git branch, commit or tag
git_commit=v0.9
# setup environment
. /etc/profile
. /etc/init.d/tc-functions
getMirror
# load qt-4.x-base without the X dependecies
# alternatively a "tce-load -wi qt-4.x-base" loads it with all dependecies
wget -P /mnt/sda1/tce/optional $MIRROR/qt-4.x-base.tcz
wget -P /mnt... | adosztal/gns3-registry | packer/tinycore-linux/scripts/ostinato-drone.sh | Shell | gpl-3.0 | 3,671 |
#!/bin/bash
# Installs Wordpress for a new domain
# usage ./wordpress.sh
# Get some information and set variables
function get_domain() {
read -p "Please enter the domain name (no www): " domain
read -p "Please enter desired SFTP username: " username
read -p "Please enter the 10.x.x.x address of your DB Server (or ... | hhoover/lazyscripts | modules/wordpress.sh | Shell | gpl-3.0 | 6,522 |
#!/bin/bash
# Quick scripting for doing a batch of annealLorenz
# You can just set the values of interest and go do something else
# Remember, annealLorenz takes in 4 arguments:
# D = number of variables
# M = number of timesteps
# dt = size of timestep
# L_frac = fraction of D that is "measured"
# run the code as:
# ... | adrianskw/annealLorenz96 | runbatch.sh | Shell | gpl-3.0 | 559 |
#!/usr/bin/env bash
echo -e "\t[+] Fetching afl-latest"
wget -q http://lcamtuf.coredump.cx/afl/releases/afl-latest.tgz &> /dev/null
tar xzf afl-latest.tgz &> /dev/null
rm -f afl-latest.tgz && cd afl-*
echo -e "\t[+] Installing afl"
sudo make install
cd ..
echo -e "\t[+] Install aflfast"
git clone https://github.com/mbo... | test-pipeline/orthrus | install_deps.sh | Shell | gpl-3.0 | 2,379 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 1B/logs/w-11-A/20161129T151759+0000/00/00/taskevent_3_ID0000009.sh | Shell | gpl-3.0 | 1,237 |
#!/bin/bash
# SPDX-License-Identifier: GPL-3.0-or-later AND MIT
# Copyright (c) 2017-2021 Maxim Biro <nurupo.contributions@gmail.com>
# Copyright (c) 2021 by The qTox Project Contributors
usage()
{
echo "Download and build libexif for the windows cross compiling environment"
echo "Usage: $0 --arch {x8... | tux3/qTox | buildscripts/build_libexif_windows.sh | Shell | gpl-3.0 | 1,014 |
#!/bin/bash
apt install perl busybox golang python python2 make && cpan App::cpanminus && cpanm Term::ANSIScreen && pip install requests
chmod +x dos
mv dos ~/../usr/bin/
| FakeFBI/DoS-Framework | installation-scripts/termux-installation.sh | Shell | gpl-3.0 | 171 |
#!/bin/bash -e
. ../env/env
brief="a general-purpose cryptography library"
intro="
The libgcrypt package contains a general purpose crypto library based on the
code used in GnuPG. The library provides a high level interface to
cryptographic building blocks using an extendable and flexible API.
"
depends="libgpg-er... | fangxinmiao/projects | Architeture/OS/Linux/Distributions/LFS/build-scripts/blfs-9.0-systemd/scripts/l/libgcrypt.sh | Shell | gpl-3.0 | 666 |
#!/bin/bash
############################ [MAIN CODE] ############################
# DO NOT alter below this line unless you know what you are doing!
# user configuration options are found in zer0prompt.conf
# grab user config files via import
source ~/zer0prompt/zer0prompt.conf
# use bash builtin checkwinsize option... | zer0ed/zer0prompt | zer0prompt.sh | Shell | gpl-3.0 | 4,821 |
#!/bin/bash -ex
# Debian release
# Copyright (C) 2008, 2009 Sylvain Beucler
# This file is part of GNU FreeDink
# GNU FreeDink is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the Licens... | alexschrod/freedink-lua | autobuild/freedink-debs.sh | Shell | gpl-3.0 | 3,274 |
#!/bin/bash
python RunBootstrap.py --paralog1 YBR191W --paralog2 YPL079W --bootnum 15 > YBR191W_YPL079W_Boot15_PrintScreen.txt
| xjw1001001/IGCexpansion | Bootstrap/ShFiles/MG94_YBR191W_YPL079W_Boot15.sh | Shell | gpl-3.0 | 128 |
#!/bin/sh
cat $1 | grep -i Bomber | grep -i Nicolas | awk '{print $(NF-1)}'
| jpirsch/piscines | Piscine C/j09/ex02/find_nicolas_bomber.sh | Shell | gpl-3.0 | 77 |
scafSeq=$1
prefix=${scafSeq%.scafSeq}
prefix=${prefix%.fa}
tmp_file=${prefix}.assemblathon.fa
scaf_len_file=${prefix}.assemblathon.scafLengths
# The file contains only lengths of sigleton contigs
contig_only_len_file=${prefix}.assemblathon.contigLengths
echo "Outputing scaffold lengths into ${scaf_len_file}" 1>&2
a... | yfu/tools | eval_soapdenovo_scafseq.sh | Shell | gpl-3.0 | 1,134 |
python startdrivers.py fast0 fast1 fast2 fast3 fast4 fast5 fast6 fast7
| gtfierro/giles | bench/fastsource/run.sh | Shell | gpl-3.0 | 72 |
#!/bin/sh
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# Usage: ./update.sh <pocketsphinx_directory>
#
# Copies the needed files from a directory containing the or... | Yukarumya/Yukarum-Redfoxes | media/pocketsphinx/update.sh | Shell | mpl-2.0 | 441 |
#!/bin/sh
DIR=`dirname $0`;
. $DIR/base.sh;
psql=`which psql`;
if [ "$psql" = "" ]; then
echo "Can not find psql binary. Is it installed?";
exit 1;
fi
if [ "$DB_USER" = "" ]; then
echo "\$DB_USER not set. Using 'postgres'.";
DB_USER="postgres";
fi
if [ "$DB_NAME" = "" ]; then
echo "\$DB_NAME no... | BFH-InternetOfThings/smoje | Server/vendor/propel/propel/tests/bin/setup.pgsql.sh | Shell | agpl-3.0 | 741 |
#!/bin/sh
cd gtest-1.7.0 && cmake . && make && cd .. && cmake . && make
| jbenden/dbabstract | install.sh | Shell | lgpl-2.1 | 73 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.